Persistent Memory Development Kit

This is examples/libpmemobj/linkedlist/README.

This directory contains an implementation of singly linked list and tail
queue in pmem_list.h. fifo.c contains an usage example of persistent tail queue.

Syntax of example usage is given below.

fifo <pool> <option> [<type>]
Available options:
insert		<character>		Insert character into FIFO
remove		Remove element from FIFO
print		Print all FIFO elements

Following example inserts character 'a' into FIFO:
./fifo pool_file insert a
